Bug 139500 - KEYTABLE set wrong
KEYTABLE set wrong
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-16 08:15 EST by David Balažic
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-19 14:37:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Balažic 2004-11-16 08:15:59 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
As requested by Daniel Veillard in bug 100686 comment 36.

Quote :

How is rhgb supposed to understand that "slovene" means "si" ?
That's why it broke, for a french configured keyboard you get
something based on the ISO country name like "fr" or "fr_FR".
I think the generation of the KEYTABLE value is wrong, potentially
an anaconda bug...

cat /etc/sysconfig/keyboard

KEYBOARDTYPE="pc"
KEYTABLE="slovene"

---------------------

/etc/X11/xorg.conf :

Section "InputDevice"
        Identifier  "Keyboard0"
        Driver      "kbd"
        Option      "XkbModel" "pc105"
        Option      "XkbLayout" "si"
EndSection

Version-Release number of selected component (if applicable):
anaconda-10.1.0.2-1

How reproducible:
Didn't try
Comment 1 Paul Nasrat 2004-11-17 18:09:55 EST
KEYTABLE is looked up using keyboard_models in rhpl:

>>> import rhpl.keyboard_models
>>> k = rhpl.keyboard_models.KeyboardModels()
>>> k.modelDict['slovene']
['Slovenian', 'si', 'pc105', '', '']

For some languages the key is the X keymap but that's not guaranteed.
 I'd say that rhgb's assumption is incorrect (but happens to work for
fr say).  I'll have a think over possible solutions
Comment 2 Paul Nasrat 2004-11-23 09:43:20 EST
Daniel I don't think you can assume that KEYTABLE= the x keymap as
it's the lookup key for both console and x11 keymap, plus for some
locales we set up 2 X keymaps.

Would me adding an X11KEYMAP in /etc/sysconfig/keyboard be good for
you?  Do you only want both keymaps for things such as indic languages
which we list as eg: us,ben(probhat)
Comment 3 Daniel Veillard 2004-11-23 17:56:24 EST
Paul, yes that would be excellent for me !

Unfortunately the method relying on xf86openConfigFile()
and searching in the specific X11 construct used to specify
the keyboard is really hard to maintain and apparently doesn't
seems to work right now.

So falling back to getting the informations directly from
the source would be way more reliable.
What I really need is the setxkbmap layout argument string,
if there is two I have no idea which one should be used (assuming
both can't be configured at the same time).

Daniel
Comment 4 Jeremy Katz 2005-04-19 14:37:40 EDT
Closing due to inactivity.  If this issue still occurs with current releases,
please reopen and set the release in which you've encountered the problem.

Note You need to log in before you can comment on or make changes to this bug.